POST
/associateDomain
http://worklink.{region}.amazonaws.com/associateDomainSpecifies a domain to be associated to Amazon WorkLink.
Access Token Required: API Key
Body Params
FleetArnstringrequired
The Amazon Resource Name (ARN) of the fleet.
DomainNamestringrequired
The fully qualified domain name (FQDN).
DisplayNamestring
The name to display.
AcmCertificateArnstringrequired
The ARN of an issued ACM certificate that is valid for the domain being associated.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://worklink.{region}.amazonaws.com/associateDomain' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}